Bug 171588 - /proc/acpi/button no longer there
/proc/acpi/button no longer there
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-23 19:16 EDT by Mace Moneta
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 21:24:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2005-10-23 19:16:44 EDT
Description of problem:

(Much of the content of this bug copied from Bugzilla bug #167089 for FC4)

acpid scripts that depend on the lid status fail since the directory
/proc/acpi/button has disappeared in recent kernels

Version-Release number of selected component (if applicable):

2.6.12-1.1378_FC3 and later

How reproducible:

Every time

Steps to Reproduce:
1.Boot new kernel
2.Note that /proc/acpi/button is gone.
3.
  
Actual results:

/proc/acpi/button is gone

Expected results:

/proc/acpi/button/lid/LID/state exists

Additional info:

See Bugzilla bug #167089 for the same problem that was corrected in FC4.
Comment 1 Dave Jones 2006-01-16 17:30:47 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 2 Mace Moneta 2006-01-16 21:24:49 EST
The bug has been addressed in FC4; closing.

Note You need to log in before you can comment on or make changes to this bug.